---
id: arenabg
name: ArenaBG
description: "ArenaBG is a BULGARIAN Semi-Private Torrent Tracker for 0DAY / GENERAL"
language: bg-BG
type: semi-private
encoding: UTF-8
links:
  - https://arenabg.com/
legacylinks:
  - https://arenabg.ch/

caps:
  categorymappings:
    - {id: 1, cat: Movies, desc: "Movies"}
    - {id: 8, cat: Movies, desc: "Movies / ArenaBG.TV"}
    - {id: 9, cat: Movies/SD, desc: "Movies / XviD"}
    - {id: 10, cat: Movies/DVD, desc: "Movies / DVD-R"}
    - {id: 11, cat: Movies/HD, desc: "Movies / x264"}
    - {id: 12, cat: TV/Anime, desc: "Movies / Anime & Manga"}
    - {id: 13, cat: TV/Documentary, desc: "Movies / Documentaries"}
    - {id: 14, cat: Movies/BluRay, desc: "Movies / Blu-ray"}
    - {id: 15, cat: Movies, desc: "Movies / Weekend"}
    - {id: 16, cat: Movies, desc: "Movies / Boxset"}
    - {id: 17, cat: Movies/HD, desc: "Movies / x264 Boxset"}
    - {id: 18, cat: Movies/HD, desc: "Movies / HDTV"}
    - {id: 19, cat: Movies/3D, desc: "Movies / 3D"}
    - {id: 20, cat: Movies/HD, desc: "Movies / Movies HD"}
    - {id: 21, cat: Movies/HD, desc: "Movies / x265"}
    - {id: 22, cat: Movies/UHD, desc: "Movies / 4K"}
    - {id: 59, cat: Movies/HD, desc: "Movies / AV1"}
    - {id: 2, cat: TV, desc: "Series"}
    - {id: 23, cat: TV/HD, desc: "Series / TV Episodes HD"}
    - {id: 24, cat: TV, desc: "Series / TV Episodes"}
    - {id: 25, cat: TV, desc: "Series / TV Boxset"}
    - {id: 26, cat: TV/HD, desc: "Series / TV Boxset HD"}
    - {id: 60, cat: TV/UHD, desc: "Series / 4K"}
    - {id: 3, cat: Audio, desc: "Music"}
    - {id: 27, cat: Audio/MP3, desc: "Music / MP3"}
    - {id: 28, cat: Audio/Video, desc: "Music / Video"}
    - {id: 29, cat: Audio/Lossless, desc: "Music / FLAC"}
    - {id: 30, cat: Audio, desc: "Music / DVD"}
    - {id: 31, cat: Audio/Lossless, desc: "Music / APE"}
    - {id: 32, cat: Audio, desc: "Music / DTS"}
    - {id: 33, cat: Audio, desc: "Music / WavePack"}
    - {id: 34, cat: Audio, desc: "Music / OST"}
    - {id: 4, cat: PC/Games, desc: "Games"}
    - {id: 35, cat: PC/Games, desc: "Games / PC ISO"}
    - {id: 36, cat: PC, desc: "Games / PC RIP"}
    - {id: 37, cat: Console, desc: "Games / PS2"}
    - {id: 38, cat: Console/PSP, desc: "Games / PSP"}
    - {id: 39, cat: Console/XBox, desc: "Games / XBOX"}
    - {id: 40, cat: Console/XBox 360, desc: "Games / XBOX-360"}
    - {id: 41, cat: Console/PS3, desc: "Games / PS3"}
    - {id: 42, cat: Console/Wii, desc: "Games / WII"}
    - {id: 43, cat: Console/NDS, desc: "Games / NDS"}
    - {id: 44, cat: Console/PS4, desc: "Games / PS4"}
    - {id: 5, cat: PC, desc: "Software"}
    - {id: 45, cat: PC/ISO, desc: "Software / PC ISO"}
    - {id: 46, cat: PC/Mobile-Other, desc: "Software / Smartphone"}
    - {id: 47, cat: PC, desc: "Software / Tutorial"}
    - {id: 48, cat: PC/Mac, desc: "Software / MAC"}
    - {id: 49, cat: PC/Mobile-Android, desc: "Software / Android"}
    - {id: 50, cat: PC/Mobile-iOS, desc: "Software / iOS"}
    - {id: 51, cat: PC/Mobile-Other, desc: "Software / WM7"}
    - {id: 6, cat: XXX, desc: "XXX"}
    - {id: 52, cat: XXX, desc: "XXX / Porn"}
    - {id: 53, cat: XXX, desc: "XXX / XXX HD"}
    - {id: 7, cat: Other, desc: "Misc"}
    - {id: 54, cat: Other/Misc, desc: "Misc / Other"}
    - {id: 55, cat: Books/EBook, desc: "Misc / e-Books"}
    - {id: 56, cat: Other, desc: "Misc / Banned"}
    - {id: 57, cat: TV/Sport, desc: "Misc / Sports"}
    - {id: 58, cat: PC/0day, desc: "Misc / 0-Day"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: downloadlink
    type: select
    label: Download link
    default: "magnet:?xt="
    options:
      "/en/torrents/download/?key=": ".torrent"
      "magnet:?xt=": "magnet"
  - name: downloadlink2
    type: select
    label: Download link (fallback)
    default: "/en/torrents/download/?key="
    options:
      "/en/torrents/download/?key=": ".torrent"
      "magnet:?xt=": "magnet"
  - name: info_download
    type: info
    label: About the Download links
    default: You can optionally set as a fallback an automatic alternate link, so if the .torrent download link fails your download will still be successful.

login:
  path: en/users/signin/
  method: form
  form: form[action="/en/users/signin/"]
  inputs:
    username_or_email: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
  captcha:
    type: image
    selector: img[src="/captcha.php"]
    input: captcha
  error:
    - selector: div.row div#container div.alert
  test:
    path: en/
    selector: a[href="/en/users/logout/"]

download:
  selectors:
    - selector: a[href^="{{ .Config.downloadlink }}"]
      attribute: href
    - selector: a[href^="{{ .Config.downloadlink2 }}"]
      attribute: href

search:
  paths:
    # https://arenabg.com/en/torrents/?text=ice+s01e01
    - path: en/torrents/
  inputs:
    text: "{{ .Keywords }}"
    subtitles: ""
    audio: ""
    # does not support multi-cats so defaulting to all
    category: ""

  rows:
    selector: tr:has(a[href^="/en/torrents/?category="])

  fields:
    category:
      selector: td.category a[href^="/en/torrents/?category="]:last-of-type
      attribute: href
      filters:
        - name: querystring
          args: category
    _english:
      selector: span[title="English"]
      attribute: title
      optional: true
    _bulgarian:
      selector: span[title="Bulgarian"]
      attribute: title
      optional: true
    title:
      selector: td.filename a.title
      filters:
        - name: append
          args: "{{ if .Result._bulgarian }} {{ .Result._bulgarian }}{{ else }}{{ end }}{{ if .Result._english }} {{ .Result._english }}{{ else }}{{ end }}"
    details:
      selector: td.filename a.title
      attribute: href
    download:
      selector: td.filename a.title
      attribute: href
    poster:
      selector: td.filename a.title
      attribute: onmouseover
      filters:
        - name: regexp
          args: "\"(.+?)\""
        - name: replace
          args: ["\\", ""]
    date:
      # 2 January 2021, Saturday @ 20:46
      selector: small
      filters:
        - name: regexp
          args: "(.+?, .+? @ [0-9]{2}:[0-9]{2})"
        - name: append
          args: " +02:00" # EET
        - name: dateparse
          args: "d MMMM yyyy, dddd @ HH:mm zzz"
    size:
      selector: td:nth-child(3)
    seeders:
      selector: td:nth-child(4)
    leechers:
      selector: td:nth-child(5)
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
